# Copyright (c) 2020, NVIDIA CORPORATION.  All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: nvidia/clara/platform/clara.proto

# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

from nvidia_clara.grpc import pipelines_pb2 as nvidia_dot_clara_dot_platform_dot_pipelines__pb2


class PipelinesStub(object):
  # missing associated documentation comment in .proto file
  pass

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.AddMetadata = channel.unary_unary(
        '/nvidia.clara.platform.Pipelines/AddMetadata',
        request_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesAddMetadataRequest.SerializeToString,
        response_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesAddMetadataResponse.FromString,
        )
    self.Create = channel.stream_unary(
        '/nvidia.clara.platform.Pipelines/Create',
        request_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesCreateRequest.SerializeToString,
        response_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesCreateResponse.FromString,
        )
    self.Details = channel.unary_stream(
        '/nvidia.clara.platform.Pipelines/Details',
        request_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesDetailsRequest.SerializeToString,
        response_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesDetailsResponse.FromString,
        )
    self.List = channel.unary_stream(
        '/nvidia.clara.platform.Pipelines/List',
        request_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesListRequest.SerializeToString,
        response_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesListResponse.FromString,
        )
    self.Remove = channel.unary_unary(
        '/nvidia.clara.platform.Pipelines/Remove',
        request_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesRemoveRequest.SerializeToString,
        response_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesRemoveResponse.FromString,
        )
    self.RemoveMetadata = channel.unary_unary(
        '/nvidia.clara.platform.Pipelines/RemoveMetadata',
        request_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesRemoveMetadataRequest.SerializeToString,
        response_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesRemoveMetadataResponse.FromString,
        )
    self.Update = channel.stream_unary(
        '/nvidia.clara.platform.Pipelines/Update',
        request_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesUpdateRequest.SerializeToString,
        response_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesUpdateResponse.FromString,
        )


class PipelinesServicer(object):
  # missing associated documentation comment in .proto file
  pass

  def AddMetadata(self, request, context):
    """Requests the addition of metadata to a pipeline.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def Create(self, request_iterator, context):
    """Requests the creation of a new pipeline.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def Details(self, request, context):
    """Requests details of a pipeline.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def List(self, request, context):
    """Requests a listing of all pipelines known by the service.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def Remove(self, request, context):
    """Requests the removal of a pipeline definition from the service.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def RemoveMetadata(self, request, context):
    """Requests the removal of specified metadata of a pipeline.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def Update(self, request_iterator, context):
    """Requests an update to a known pipeline definition.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_PipelinesServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'AddMetadata': grpc.unary_unary_rpc_method_handler(
          servicer.AddMetadata,
          request_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesAddMetadataRequest.FromString,
          response_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesAddMetadataResponse.SerializeToString,
      ),
      'Create': grpc.stream_unary_rpc_method_handler(
          servicer.Create,
          request_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesCreateRequest.FromString,
          response_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesCreateResponse.SerializeToString,
      ),
      'Details': grpc.unary_stream_rpc_method_handler(
          servicer.Details,
          request_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesDetailsRequest.FromString,
          response_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesDetailsResponse.SerializeToString,
      ),
      'List': grpc.unary_stream_rpc_method_handler(
          servicer.List,
          request_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesListRequest.FromString,
          response_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesListResponse.SerializeToString,
      ),
      'Remove': grpc.unary_unary_rpc_method_handler(
          servicer.Remove,
          request_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesRemoveRequest.FromString,
          response_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesRemoveResponse.SerializeToString,
      ),
      'RemoveMetadata': grpc.unary_unary_rpc_method_handler(
          servicer.RemoveMetadata,
          request_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesRemoveMetadataRequest.FromString,
          response_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesRemoveMetadataResponse.SerializeToString,
      ),
      'Update': grpc.stream_unary_rpc_method_handler(
          servicer.Update,
          request_deserializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesUpdateRequest.FromString,
          response_serializer=nvidia_dot_clara_dot_platform_dot_pipelines__pb2.PipelinesUpdateResponse.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'nvidia.clara.platform.Pipelines', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
